| Qore Programming Language Reference Manual 2.2.0

Loading...
Searching...
No Matches
Variables
Compression Stream Transformations

## Variables
const | Qore::COMPRESSION_ALG_BZIP2 = str(CompressionTransforms::ALG_BZIP2)
| Identifies the bzip2 algorithm
const | Qore::COMPRESSION_ALG_GZIP = str(CompressionTransforms::ALG_GZIP)
| Identifies the GZIP Format (RFC 1952)
const | Qore::COMPRESSION_ALG_ZLIB = str(CompressionTransforms::ALG_ZLIB)
| Identifies the ZLIB Compressed Data Format (RFC 1950)

## Detailed Description

The following Transform constants can be used with TransformInputStream and TransformOutputStream to transform stream data

Example:
  Qore::FileOutputStream of("my-file.txt");
  Qore::TransformOutputStream ts(of, get_decompressor(Qore::COMPRESSION_ALG_BZIP2));
  Qore::FileOutputStream
  This class implements the OutputStream interface for writing bytes to a file.
  Definition QC_FileOutputStream.dox.h:28
  Qore::TransformOutputStream
  This class implements the OutputStream interface for writing bytes to another OutputStream while appl...
  Definition QC_TransformOutputStream.dox.h:17
  Qore::COMPRESSION_ALG_BZIP2
  const COMPRESSION_ALG_BZIP2
  Identifies the bzip2 algorithm
  Definition ql_compression.dox.h:335
  Qore::get_decompressor
  Transform get_decompressor(string alg)
  Returns a Transform object for decompressing data using the given algorithm for use with TransformInp...

See also
  Cryptographic Stream Transformations

Since
  Qore 0.8.13